using Microsoft.EntityFrameworkCore;
using System;

namespace ScrumTaskboard
{
    public class TaskContext : DbContext 
    {
        public DbSet<ScrumTask> Tasks { get; set; }
        public DbSet<ScrumUserstory> Userstories { get; set; }

        public TaskContext() { }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseNpgsql("Host=nig.gl; Port=8543; Username=scrum; Database=taskboard; Password=c6gXud7YvBWp2sgxSgy4wRN");
        }

        public TaskContext(DbContextOptions<TaskContext> options) : base(options) { }
    }

    public class ScrumTask
    {
        public int Id { get; set; }
        public string Titel { get; set; }
        public string Inhalt { get; set; }
        public int Status { get; set; }
        public int Kategorie { get; set; }
        public int Bearbeiter { get; set; }

        public int ZugeordneterSprint { get; set; }
        public int Projekt { get; set; }
        public int Userstory { get; set; }
    }

    public class ScrumUserstory
    {
        public int id { get; set; }
        public string title { get; set; }
        public string conetent { get; set; }
        public int priority { get; set; }
        public int status { get; set; }
        public int category { get; set; }
        public int creator { get; set; }
        public int project { get; set; }
    }
}
